## python-ldaptools 0.22.post4+g6654711-1~eob110+1

=== debian/changelog ===
python-ldaptools (0.22.post4+g6654711-1~eob110+1) bullseye-eobuilder; urgency=low

  * (665471) jenkins: build packages for buster & bullseye
  * (bce6e6) debian: use debhelper compat level 12
  * (d09c2c) debian: stop building python2 package
  * (c66a57) build: update to use origin/main

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 12 Dec 2021 14:10:03 +0100

python-ldaptools (0.22) bullseye-eobuilder; urgency=low

  * (50a261) debian: fix dependency on python-six in py3 package
  * (5eec62) debian: raise compat to 10 to prevent warning
  * (1303a7) debian: do not overwrite ldapsync from py2 package
  * (dc7e9e) misc: complete changelog

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 02 Jul 2020 13:11:52 +0200

python-ldaptools (0.21) bullseye-eobuilder; urgency=low

  * (d3aaae) tox.ini: set pytest junit_family
  * (58759b) misc: close file descriptors in clean()
  * (72c488) misc: do not use create_process() for slapadd
  * (a76ad1) misc: fix bytes-mode warning from python-ldap
  * (9396ab) Jenkinsfile: use default distribution target of eobuilder
  * (bc6424) misc: do not leak file descriptors

 -- eobuilder <eobuilder@entrouvert.com>  Sat, 25 Apr 2020 09:30:31 +0200

python-ldaptools (0.20) bullseye-eobuilder; urgency=low

  * (248924) debian: add packaging for python 3 (#41222)
  * (62cd8c) jenkins: use ci@entrouvert.org for notifications
  * (0d1743) make get_version py3 compatible
  * (c42bd4) add Jenkinsfile

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 02 Apr 2020 13:21:09 +0200

python-ldaptools (0.18) bullseye-eobuilder; urgency=low

  * (5d6cb7) release 0.18
  * (6fcf32) py3: fix conversion of text to bytes in LDIF parser

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 15 Mar 2019 00:19:46 +0100

python-ldaptools (0.17) bullseye-eobuilder; urgency=low

  * (2989ba) release 0.17
  * (50da23) slapd: stop slapd if error occurs during __init__
  * (5c633d) slapd: quote unix socket path in ldap:// URL
  * (3c2861) setup.py: remove setuptools from install_requires
  * (9b7c0e) tox.ini: remove call to eobuilder
  * (7d8c8e) add python3 compatibility (#29418)
  * (b6aef6) tests: fix test certificates (fixes #29850)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 14 Mar 2019 22:49:43 +0100

python-ldaptools (0.16) bullseye-eobuilder; urgency=low

  * (7032b7) tests: add missing certificates

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 17 Jan 2019 15:41:06 +0100

python-ldaptools (0.15) bullseye-eobuilder; urgency=low

  * (c3c0f1) slapd: add support for testing with TLS
  * (d32d58) pep8ness
  * (cf341b) tests: fix list of source object classes
  * (9c475a) filter objectclass from sources, keep only known ones
  * (43b76b) improve PEP8ness
  * (5bb324) report dn in errors from get_pivot_attribute()

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 04 Dec 2018 14:25:10 +0100

python-ldaptools (0.14) bullseye-eobuilder; urgency=low

  * (9192c5) release 0.14
  * (d3236a) modify ldif fragment to conform to grammar in python-ldap 2.4.26
  * (df374f) slapd: fix default olcAccess

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 25 Jul 2016 15:56:51 +0200

python-ldaptools (0.13) bullseye-eobuilder; urgency=low

  * (e15060) tox.ini: set tox workdir outside of git tree
  * (7325e9) limit synchronization to records of targeted objectclasses
  * (8ac309) add __eq__ and __ne__ operator to idict
  * (c9eb4e) setup.py: remove docstring from authentic2

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 23 May 2016 16:12:23 +0200

python-ldaptools (0.12) bullseye-eobuilder; urgency=low

  * (a41fcd) release 0.12
  * (a7a316) when stopping wait for real stopping of the daemon
  * (048de8) remove bad test

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 26 Apr 2016 00:29:49 +0200

python-ldaptools (0.11) bullseye-eobuilder; urgency=low

  * (957d55) remove debugging statement
  * (245f8b) tox.ini: only execute with coverage

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 23 Mar 2016 16:14:34 +0100

python-ldaptools (0.10) bullseye-eobuilder; urgency=low

  * (f36d52) tox.ini: factorize
  * (a6d8bf) add .coveragerc
  * (19922f) redirect all fd of slapd instances to /dev/null
  * (4adfa7) add an integer db parameter to slapadd
  * (6fa48f) report entry dn when an error occur in ListLDIFParser.add()

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 18 Mar 2016 14:26:10 +0100

python-ldaptools (0.9) bullseye-eobuilder; urgency=low

  * (558536) release 0.9
  * (6333c0) paged: fix paged search when the response contains no paged result
    extended control
  * (28aec8) tox.ini: build from git
  * (5e7520) tox.ini: install eobuilder not as a dependency
  * (b8930e) tox.ini: add missing pyopenssl
  * (171e27) tox.ini: add dependencies to handle SNI
  * (726ca7) tox.ini: force pip<8
  * (e3bb9b) tox.ini: add package target
  * (f421d3) tox.ini: set coverage dir to src/

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 02 Mar 2016 13:30:00 +0100

python-ldaptools (0.8) bullseye-eobuilder; urgency=low

  * (aaca01) improve display of actions and errors
  * (3f7c33) lowercase attributes in dn of LDIF sources
  * (7feabe) fix bug when removing attributes from source outside the permitted
    attributes
  * (6e0e7a) allow specifying case insensitive attributes for compare

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 19 Feb 2016 16:32:36 +0100

python-ldaptools (0.7) bullseye-eobuilder; urgency=low

  * (a57b1b) tox.ini: run tests from tests/
  * (9797c4) ldapsync: add a --source-filter parameter

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 17 Feb 2016 18:01:41 +0100

python-ldaptools (0.6) bullseye-eobuilder; urgency=low

  * (d3d8d3) add empty attribute to new entry if attribute is present in target
    entry
  * (3ea1ac) remove attributes outside of the specified attributes from source
    entries
  * (588b94) return an empty list of target base DN does no exist
  * (a0d4d7) convert attribute names to istr
  * (b2851b) fix typo

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 16 Feb 2016 16:05:58 +0100


