=== debian/control ===
Source: python-ldaptools
Section: python
Priority: optional
Maintainer: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Build-Depends: python3-setuptools, python3-all, debhelper-compat (= 12), dh-python
Standards-Version: 3.9.6
Homepage: http://dev.entrouvert.org/projects/ldaptools/

Package: python3-ldaptools
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-ldap, python3-six
Description: helper library for python-ldap and openldap
