=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DISABLE=test
export PYBUILD_NAME=ldaptools

%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_install:
	dh_install
	mv $(CURDIR)/debian/python3-ldaptools/usr/bin/ldapsync $(CURDIR)/debian/python3-ldaptools/usr/bin/ldapsync3
