## python-ldaptools 0.26.post1+g8f17405-1~eob120+1

=== debian/changelog ===
python-ldaptools (0.26.post1+g8f17405-1~eob120+1) bookworm-eobuilder; urgency=low

  * (8f1740) ignore pre-commit hook changes (#86510)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 07 Feb 2024 15:56:58 +0100

python-ldaptools (0.26) bookworm-eobuilder; urgency=low

  * (01fa04) setup.py: fix setuptools warning about data files (#86510)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 07 Feb 2024 13:50:21 +0100

python-ldaptools (0.25) bookworm-eobuilder; urgency=low

  * (8f214a) setup.py: fix setuptools warning about data files (#86510)
  * (491fd2) run pre-commit hooks (#86510)
  * (6c703b) setup.py: fix dirty versions (#86510)
  * (bcbb93) Jenkinsfile: disable concurrent builds (#86510)
  * (be7082) Jenkinsfile: always cleanup (#86510)
  * (4ba8bd) ci: remove python2 support and testing
  * (92f622) ci: add pre-commit hooks
  * (435f49) ci: build deb package for bookworm (#78968)
  * (1e79de) Prepare Jenkinsfile for Gitea migration (#74572)
  * (6cc659) ci: only build package for bullseye (#72729)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 07 Feb 2024 12:59:15 +0100

python-ldaptools (0.24) bookworm-eobuilder; urgency=low

  * (751176) slapd: drop hdb backend (#63945)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 14 Apr 2022 17:49:15 +0200

python-ldaptools (0.23) bookworm-eobuilder; urgency=low

  * (ebc841) trivial: remove python 2 from classifiers
  * (665471) jenkins: build packages for buster & bullseye
  * (bce6e6) debian: use debhelper compat level 12
  * (d09c2c) debian: stop building python2 package
  * (c66a57) build: update to use origin/main

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 02 Feb 2022 08:12:56 +0100

python-ldaptools (0.22) bookworm-eobuilder; urgency=low

  * (50a261) debian: fix dependency on python-six in py3 package
  * (5eec62) debian: raise compat to 10 to prevent warning
  * (1303a7) debian: do not overwrite ldapsync from py2 package
  * (dc7e9e) misc: complete changelog

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 02 Jul 2020 13:11:52 +0200

python-ldaptools (0.21) bookworm-eobuilder; urgency=low

  * (d3aaae) tox.ini: set pytest junit_family
  * (58759b) misc: close file descriptors in clean()
  * (72c488) misc: do not use create_process() for slapadd
  * (a76ad1) misc: fix bytes-mode warning from python-ldap
  * (9396ab) Jenkinsfile: use default distribution target of eobuilder
  * (bc6424) misc: do not leak file descriptors

 -- eobuilder <eobuilder@entrouvert.com>  Sat, 25 Apr 2020 09:30:31 +0200

python-ldaptools (0.20) bookworm-eobuilder; urgency=low

  * (248924) debian: add packaging for python 3 (#41222)
  * (62cd8c) jenkins: use ci@entrouvert.org for notifications
  * (0d1743) make get_version py3 compatible
  * (c42bd4) add Jenkinsfile

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 02 Apr 2020 13:21:09 +0200

python-ldaptools (0.18) bookworm-eobuilder; urgency=low

  * (5d6cb7) release 0.18
  * (6fcf32) py3: fix conversion of text to bytes in LDIF parser

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 15 Mar 2019 00:19:46 +0100

python-ldaptools (0.17) bookworm-eobuilder; urgency=low

  * (2989ba) release 0.17
  * (50da23) slapd: stop slapd if error occurs during __init__
  * (5c633d) slapd: quote unix socket path in ldap:// URL
  * (3c2861) setup.py: remove setuptools from install_requires
  * (9b7c0e) tox.ini: remove call to eobuilder
  * (7d8c8e) add python3 compatibility (#29418)
  * (b6aef6) tests: fix test certificates (fixes #29850)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 14 Mar 2019 22:49:43 +0100

python-ldaptools (0.16) bookworm-eobuilder; urgency=low

  * (7032b7) tests: add missing certificates

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 17 Jan 2019 15:41:06 +0100

python-ldaptools (0.15) bookworm-eobuilder; urgency=low

  * (c3c0f1) slapd: add support for testing with TLS
  * (d32d58) pep8ness
  * (cf341b) tests: fix list of source object classes
  * (9c475a) filter objectclass from sources, keep only known ones
  * (43b76b) improve PEP8ness
  * (5bb324) report dn in errors from get_pivot_attribute()

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 04 Dec 2018 14:25:10 +0100

python-ldaptools (0.14) bookworm-eobuilder; urgency=low

  * (9192c5) release 0.14
  * (d3236a) modify ldif fragment to conform to grammar in python-ldap 2.4.26
  * (df374f) slapd: fix default olcAccess

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 25 Jul 2016 15:56:51 +0200

python-ldaptools (0.13) bookworm-eobuilder; urgency=low

  * (e15060) tox.ini: set tox workdir outside of git tree
  * (7325e9) limit synchronization to records of targeted objectclasses
  * (8ac309) add __eq__ and __ne__ operator to idict
  * (c9eb4e) setup.py: remove docstring from authentic2

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 23 May 2016 16:12:23 +0200

python-ldaptools (0.12) bookworm-eobuilder; urgency=low

  * (a41fcd) release 0.12
  * (a7a316) when stopping wait for real stopping of the daemon
  * (048de8) remove bad test

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 26 Apr 2016 00:29:49 +0200

python-ldaptools (0.11) bookworm-eobuilder; urgency=low

  * (957d55) remove debugging statement
  * (245f8b) tox.ini: only execute with coverage

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 23 Mar 2016 16:14:34 +0100

python-ldaptools (0.10) bookworm-eobuilder; urgency=low

  * (f36d52) tox.ini: factorize
  * (a6d8bf) add .coveragerc
  * (19922f) redirect all fd of slapd instances to /dev/null
  * (4adfa7) add an integer db parameter to slapadd
  * (6fa48f) report entry dn when an error occur in ListLDIFParser.add()

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 18 Mar 2016 14:26:10 +0100

python-ldaptools (0.9) bookworm-eobuilder; urgency=low

  * (558536) release 0.9
  * (6333c0) paged: fix paged search when the response contains no paged result
    extended control
  * (28aec8) tox.ini: build from git
  * (5e7520) tox.ini: install eobuilder not as a dependency
  * (b8930e) tox.ini: add missing pyopenssl

