=== debian/control ===
Source: python-ldaptools
Section: python
Priority: optional
Maintainer: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
Standards-Version: 3.9.6
Homepage: http://dev.entrouvert.org/projects/ldaptools/

Package: python3-ldaptools
Architecture: all
Depends: python3-ldap,
         python3-six,
         ${misc:Depends},
         ${python3:Depends},
Description: helper library for python-ldap and openldap
